Subject: Re: [Sip] Summary of TLS discussion

From: Eric Rescorla <[email-masked]>
Date: 01 Feb 2002 07:51:21 -0800

"Peterson, Jon" <[email-masked]> writes:
> 1) TLS: Doesn't support UDP. Has an innate key exchange system. Use of TLS
> with an application like SIP is fairly straightforward. A minimum profile
> for authentication/integrity/encryption is provided in bis06 today. Opinions
> to the contrary notwithstanding, it can probably be implemented in less than
> 400K of code (a recent IEEE Comm's article claimed 100K).
TLS can definitely be done in <100K. I know, since I've done it.
I've heard reports of <50K but never verified them myself.

-Ekr

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip